<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="utf-8">
	<title>Proposed Event Details </title>
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta content="A fully featured admin theme which can be used to build CRM, CMS, etc." name="description">
	<meta content="Coderthemes" name="author">
	<!-- App favicon -->
	<link rel="shortcut icon" href="../img/GCIT_logo.png">
	<link rel="stylesheet" href="../css/style.css">
	<!-- App css -->
	<link href="../css/icons.min.css" rel="stylesheet" type="text/css">
	<link href="../css/app.min.css" rel="stylesheet" type="text/css" id="light-style">
	<link href="../css/app-dark.min.css" rel="stylesheet" type="text/css" id="dark-style"> </head>
<script>
setTimeout(() => {
	const box = document.getElementById('box');
	box.style.display = 'none'
}, 3000);
</script>

<body class="loading" data-layout-config='{"leftSideBarTheme":"dark","layoutBoxed":false, "leftSidebarCondensed":false, "leftSidebarScrollable":false,"darkMode":false, "showRightSidebarOnStart": true}'>
	<!-- Begin page -->
	<div class="wrapper">
		<!-- ========== Left Sidebar Start ========== -->
		<div class="leftside-menu">
			<!-- LOGO -->
			<a href="./hosDashboard" class="logo text-center logo-light"> <span class="logo-lg">
            <img src="../img/GCIT_logo.png" alt="" height="40">
          </span> <span class="logo-sm">
            <img src="../img/GCIT_logo.png" alt="" height="40">
          </span> </a>
			<!-- LOGO -->
			<a href="./hosDashboard" class="logo text-center logo-dark"> <span class="logo-lg">
            <img src=".../img/GCIT_logo.png" alt="" height="40">
          </span> <span class="logo-sm">
            <img src="../img/GCIT_logo.png" alt="" height="40">
          </span> </a>
			<div class="h-100" id="leftside-menu-container" data-simplebar="">
				<!--- Sidemenu -->
				<ul class="side-nav">
					<li class="side-nav-title side-nav-item">Navigation</li>
					<li class="side-nav-item">
						<a data-bs-toggle="collapse" href="#sidebarDashboards" aria-expanded="false" aria-controls="sidebarDashboards" class="side-nav-link"> <i class="uil-table"></i> <span class="badge bg-success float-end">2</span> <span> Request List </span> </a>
						<div class="collapse" id="sidebarDashboards">
							<ul class="side-nav-second-level">
								<li> <a href="./hosDashboard">Event Proposal</a> </li>
								<li> <a href="./ccarequestList">CCA Proposal</a> </li>
							</ul>
						</div>
					</li>
					<li class="side-nav-item">
						<a href="./studentlist" class="side-nav-link"> <i class="uil-users-alt"></i> <span> User Details </span> </a>
					</li>

					<li class="side-nav-item">
						<a href="./hosabout" class="side-nav-link">
							<i class="uil-exclamation-circle"></i>
							<span> About </span>
						</a>
					</li>
				</ul>
				<!-- End Sidebar -->
				<div class="clearfix"></div>
			</div>
			<!-- Sidebar -left -->
		</div>
		<!-- Left Sidebar End -->
		<!-- ============================================================== -->
		<!-- Start Page Content here -->
		<!-- ============================================================== -->
		<div class="content-page">
			<div class="content">
				<!-- Topbar Start -->
				<div class="navbar-custom">
					<ul class="list-unstyled topbar-menu float-end mb-0">
						<li class="dropdown notification-list">
							<a class="nav-link dropdown-toggle nav-user arrow-none me-0" data-bs-toggle="dropdown" href="#" role="button" aria-haspopup="false" aria-expanded="false"> <span class="account-user-avatar">
                    <img src="userImages/<%= user.photo %>" alt="user-image" class="rounded-circle">
                  </span> <span>
                    <span class="account-user-name"><%= user.name%> </span> <span class="account-position"><%= user.role%> </span> </span>
							</a>
							<div class="dropdown-menu dropdown-menu-end dropdown-menu-animated topbar-dropdown-menu profile-dropdown">
								<!-- item-->
								<div class=" dropdown-header noti-title">
									<h6 class="text-overflow m-0">Welcome !</h6> </div>
								<!-- item-->
								<a href="./hosSetting" class="dropdown-item notify-item"> <i class="mdi mdi-account-edit me-1"></i> <span>Settings</span> </a>
								<!-- item-->
								<a href="/logout" class="dropdown-item notify-item"> <i class="mdi mdi-logout me-1"></i> <span>Logout</span> </a>
							</div>
						</li>
					</ul>
					<button class="button-menu-mobile open-left"> <i class="mdi mdi-menu"></i> </button>
				</div>
			</div>
			<!-- end Topbar -->
			<!-- Start Content-->
			<div class="container-fluid">
				<!-- start page title -->
				<div class="row">
					<div class="col-12">
						<div class="page-title-box">
							<h4 class="page-title">Proposal Details</h4> </div>
					</div>
				</div>
				<!-- end page title -->




				<div class="row">
					<div class="col-12">
						<div class="card">
							<div class="card-body">
								<div class="row justify-content-center">
									<div class="col-lg-8">
										<h4 class="header-title">Proposal For New Event</h4>
										<hr>
										<form>
											<% if(typeof message !== 'undefined'){
                        %>
												<h4 id="box" style="color:#359735;"><%= message %> </h4>
												<%           
                        }%>
													<div class="row">
														<!--start row -->
														<div class="mb-3">
															<label for="simpleinput" class="form-label">Title of the Event</label>
															<input type="text" id="simpleinput" value="<%= event.eventName %>" class="form-control"> </div>
													</div>
													<div class="row">
														<div class="mb-3">
															<label for="simpleinput" class="form-label">From</label>
															<input type="text" id="simpleinput" value="<%= event.userid[0].name %>" class="form-control"> </div>
													</div>
													<div class="row">
														<div class="mb-3">
															<label class="form-label">Date</label>
															<input type="text" id="simpleinput" value="<%= event.datetime %>" class="form-control"> </div>
													</div>
													<div class="row">
														<div class="mb-3">
															<label for="example-textarea" class="form-label">Description</label>
															<input type="text" id="simpleinput" value="<%= event.description %>" class="form-control"> </div>
													</div>
													<div class="row ">
														<div class="mb-3">
															<a href="excel/<%=event.supportingDocument%>" target="_blank">
																<button type="button">View Document</button>
															</a>
														</div>
													</div>
										</form>
										<% if (event.status==='Pending' ) { %>
											<div class="row mt-12">
												<div class="col-sm-12">
													<div class="text-sm-end">
														<form action="/approve-event?id=<%= event._id %>" method="POST" id="updateForm">
															<button type="button" data-bs-toggle="modal" data-bs-target="#standard-modal"style="width: 20%;">Accept</button>
															<div id="standard-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="standard-modalLabel" aria-hidden="true">
																<div class="modal-dialog">
																	<div class="modal-content">
																		<div class="modal-header">
																			<h4 class="modal-title" id="standard-modalLabel">Confirm Accept Proposal</h4>
																			<button type="button" class="btn-close" data-bs-dismiss="modal" aria-hidden="true"></button>
																		</div>
																		<div class="modal-body" >
																			<p style="float: left;" >Are you sure you want to accept this proposal?</p>
																		</div>
																		<div class="modal-footer">
																			<button type="button" class="btn btn-light" data-bs-dismiss="modal">Close</button>
																			<button type="submit">Approve</button>
																		</div>
																	</div>
																	<!-- /.modal-content -->
																</div>
																<!-- /.modal-dialog -->
															</div>
															<!-- /standard-modal -->
														</form> <br>
														<form action="/reject-event?id=<%= event._id %>" method="POST" id="reject">
															<button type="button" data-bs-toggle="modal" data-bs-target="#reject-proposal" style="width: 20%;">Reject</button>
															<div id="reject-proposal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="reject-proposalLabel" aria-hidden="true">
																<div class="modal-dialog">
																	<div class="modal-content">
																		<div class="modal-header">
																			<h4 class="modal-title" id="reject-proposalLabel">Confirm Reject Proposal</h4>
																			<button type="button" class="btn-close" data-bs-dismiss="modal" aria-hidden="true"></button>
																		</div>
																		<div class="modal-body">
																			<div class="form-floating">
																				<textarea class="form-control" placeholder="Leave a comment here" name="remarks" id="floatingTextarea" style="height: 100px;"></textarea>
																				<label for="floatingTextarea">Add Remarks</label>
																			</div>
																		</div>
																		<div class="modal-footer">
																			<button type="button" class="btn btn-light" data-bs-dismiss="modal">Close</button>
																			<button type="submit">Save changes</button>
																		</div>
																	</div>
																	<!-- /.modal-content -->
																</div>
																<!-- /.modal-dialog -->
															</div>
															<!-- /.modal -->
														</form>
													</div>
													<!-- text-sm-end -->
												</div>
												<!-- col-sm-12-ends -->
											</div>
											<!-- row-mt-12-ends -->
									</div>
									<!-- end col -->
								</div>
								<!-- end row -->
								<% } %>
							</div>
						</div>
					</div>
					<!-- end col -->
				</div>
            </div>

				<!-- Footer Start -->
				<footer class="footer">
					<div class="container-fluid">
						<div class="row">
							<div class="col-md-6">
								<script>
								document.write(new Date().getFullYear())
								</script>
								 © GCIT 
							</div>
						</div>
					</div>
				</footer>
				<!-- end Footer -->
			</div>
			<!-- ============================================================== -->
			<!-- End Page content -->
			<!-- ============================================================== -->
		</div>
		<!-- END wrapper -->
		<!-- bundle -->
		<script src="../js/vendor.min.js"></script>
		<script src="../js/app.min.js"></script>
</body>

</html>